#!/bin/bash
#Logic to make sure both required parameters are passed with full path  downloaded olvm backup file and log file on the new vm or current vm
if [ "$#" -ne 2 ]; then
  echo "Usage: $0  FILEPATH LOGPATH"
  echo "* FILEPATH: full path for OLVM backup file"
  echo "* LOGPATH: log file location"
  echo "Example: $0 /root/backup/file/ovirt-engine-backup-20220125-000 /tmp/ovirt-restore.log"
  exit 1
fi
FILEPATH="$1"
LOGPATH="$2"

echo " entered full path file path for the restore  olvm file backup is:-> " $FILEPATH:
echo " entered full path file path for the restore log file is -> " $LOGPATH

echo " excuting olvm restore script shell script"
echo " running olvm engine-cleanup command"
engine-cleanup
echo " running olvm engine-backup command"
engine-backup --mode=restore --scope=all --file=$FILEPATH --log=$LOGPATH --restore-permissions  --provision-all-databases
echo " running olvm engine-setup command"
engine-setup
